 # zbot/drivers//console.py
#
#

""" console bot. """

## IMPORTS

from zbot.defines import BOLD, ENDC, YELLOW
from zbot.log import datefmt
from zbot import Bot, Object, cb, config

import logging
import time
import sys
import os

## CONSOLE

class ConsoleBot(Bot):

    def _raw(self, txt):
        try: sys.stdout.write(txt) ; sys.stdout.flush()
        except Exception as ex: logging.warn(str(ex))

    def say(self, *args, **kwargs):
        try: txt = args[1]
        except IndexError: txt = args[0]
        self._raw("%s\n" % txt)
        
    def get_one(self):
        o = Object()
        if self.args: o.txt = " ".join(self.args) ; o._state = "dead"
        else: o.txt=input("%s -=- %s%s<%s " % (time.strftime(datefmt), BOLD, YELLOW, ENDC))
        return o
